# Changelog

## [Unreleased]

- 💄 — Show only not-OK domains by default in domains list, to reduce the load on browser
- ♿️ — Fix not-OK domains display if javascript is disabled
- ✨ — Retry check right after a httpx.ReadError
- ✨ — The HTTP method used by checks is now configurable
- ♻️ — Refactor some agent code

## 0.5.0

Date: 2024-09-26

- 💄 — Correctly show results on small screens
- 📝💄 — Add opengraph tags to documentation site (#62)
- 🔨 — Add a small web server to browse documentation when developing
- ✨ — Add new check type: http-to-https (#61)
- 👷 — Remove Unreleased section from CHANGELOG when publishing documentation
- 🩹 — Severity of ssl-certificate-expiration’s errors is now UNKNOWN (#60)
- 💄 — Better display of results’ error details

## 0.4.1

Date: 2024-09-18

- 💄 — Use a custom User-Agent header
- 🐛 — Fix mail and gotify alerting

## 0.4.0

Date: 2024-09-04

- 💄 — Improve email and gotify notifications
- ✨ — Add command to test gotify configuration
- ✨ — Add nagios command to use as a Nagios probe
- ✨ — Add Apprise as notification way (#50)

## 0.3.1

Date: 2024-09-02

- ✨ — Add new check types: body-like, headers-like and json-like (#58)

## 0.3.0

Date: 2024-09-02

- 🩹 — Fix release documentation
- ✅ — Add mypy test
- ✨ — Add new check type: status-in
- 🩹 — Close menu after rescheduling non-ok checks (#55)
- ✨ — Add new check types: headers-contain and headers-have (#56)
- ✨ — Add command to test email configuration (!66)
- 💄 — Enhance the mobile view (!67)
- ✨ — Allow to run Argos in a subfolder (i.e. not on /) (#59)
- ✨ — Add new check types: json-contains, json-has and json-is (#57)

## 0.2.2

Date: 2024-07-04

- 🐛 — Fix bug in login view when having an expired token in cookie (redirect loop)

## 0.2.1

Date: 2024-06-27

- 🐛 — Fix bug in login view when having a cookie (internal server error)

## 0.2.0

Date: 2024-06-24

- 💄📯 — Improve notifications and result(s) pages
- 🔊 — Add level of log before the log message
- 🔊 — Add a warning message in the logs if there is no tasks in database. (fix #41)
- ✨ — Add command to generate example configuration (fix #38)
- 📝 — Improve documentation
- ✨ — Add command to warn if it’s been long since last viewing an agent (fix #49)
- 💥 — Change default config file path to argos-config.yaml (fix #36)
- 📝 — New documentation URL: doc is now on https://argos-monitoring.framasoft.org/
- 💥 — Remove env vars and only use the configuration file
- ✨ — Add built-in authentication for human interface

## 0.1.1

Date: 2024-04-30

- 🐛 — Fix --config option for some commands
- ☝️🧐 — Validate config file readability

## 0.1.0

Date: 2024-04-25

- First working version
